# -*- encoding: utf-8 -*-
from openerp import models, fields, api

class ChartList(models.Model):
    _name = 'chart.list'

    name = fields.Char('Chart Name', required=True)
    description = fields.Char('Description')


class ResUsers(models.Model):
	_inherit = 'res.users'

	chart_ids = fields.Many2many('chart.list', 'chart_list_users_rel', 'user_id', 'chart_id', 'Charts')

	@api.model
	def get_user(self):
		return self.env.user.id
