openerp.eiru_reports_dashboard = function (instance) {
    "use strict";

    instance.eiru_reports_dashboard = {};
    instance.eiru_reports_dashboard.reports = {};

    var dashboard = instance.eiru_reports_dashboard;

    widget_reporting_base(instance, dashboard);
    dashboard_reporting_widget(instance, dashboard);

    try{

        DashboardChart(dashboard);

        /*===========
            WIDGETS
        ===========*/
        widget_sale_purchase_expense(dashboard);
        widget_rrhh(dashboard);
        widget_income_outcome(dashboard);
        widget_balance(dashboard);
        widget_stock_valuation(dashboard);
        widget_stock_valuation_with_variant_cost_price(dashboard);
        widget_account(dashboard);
        widget_bank_cash(dashboard);
        widget_financial_state(dashboard);
        /*===========
            CHARTS
        ===========*/
        ranking_customer(dashboard);
        ranking_salesman(dashboard);
        ranking_sale_by_store(dashboard);

    }catch(e){
        // error
    }

    // Action
    instance.web.client_actions.add('eiru_reports_dashboard.action_dashboard', 'instance.eiru_reports_dashboard.DashboardReportingWidget');
}
